WhatsApp V4
List conversations
Lists conversations newest-first (cursor-paginated), or returns the single conversation for an exact phone match.
GET
/
v4
/
whatsapp
/
conversations
List conversations
curl --request GET \
--url https://api.example.com/v4/whatsapp/conversations \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.example.com/v4/whatsapp/conversations"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.example.com/v4/whatsapp/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"windowOpen": true,
"lastMessageAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"phone": "<string>",
"userId": "<string>",
"username": "<string>",
"contactName": "<string>",
"contactId": "<string>",
"windowExpiresAt": "2023-11-07T05:31:56Z",
"lastMessagePreview": "<string>",
"labels": [
"<string>"
]
}
],
"nextCursor": "<string>"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiUserHeaderJWTApiKey
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Query Parameters
Return only the conversation for this exact number.
Defaults to all for the API (both open and archived).
Available options:
open, done, all ⌘I
List conversations
